Jm=1.5e-4;
n=100;
Dm=0.0034;
Jl=2.7; 
Kel=3.05;
Del=0.0022;

Jlr=Jl/n^2;

A=[0,1,0,0;-Kel/Jm,-(Del+Dm)/Jm,Kel/Jm,Del/Jm;0,0,0,1;Kel/Jlr,Del/Jlr,-Kel/Jlr,-Del/Jlr];
B=[0;1/Jm;0;0];

Gvm=tf(ss(A,B,[0,1,0,0],0));
wz=sqrt(Kel/Jlr);
csiz=Del/2/sqrt(Jlr*Kel);
Kiv=0.33; %da rltool
Tiv=10/wz;
Kpv=Kiv*Tiv;
mu=1/(Jm+Jlr);
wcv=Kpv*mu;
wtildecv=wcv/wz;

z=1/Tiv;
Rv = tf(Kpv*[1 z],[1 0]);
Lv=Gvm*Rv;
Fv=feedback(Lv,1);
Gpm = Fv*tf(1,[1 0]);
Kpp=29.8; %da rltool

Gpl = Fv*tf([2*csiz/wz 1],[1/wz^2 2*csiz/wz 1 0]);
Kpp=36; %da rltool



